summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vincent Batts2014-05-08 01:58:15 +0200
committer Willy Sudiarto Raharjo2014-05-12 02:35:53 +0200
commit8c3215a4d5db684b5d758ebff45852e232df4278 (patch)
tree6d6a1b8afacb0f05ca8c01b818fa06d5e9ca6f8e
parent8599a471729f5a0f695971f6dfb4a2f886d65a9c (diff)
downloadslackbuilds-8c3215a4d5db684b5d758ebff45852e232df4278.tar.gz
development/google-go-lang: Updated for version 1.2.2.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/google-go-lang/google-go-lang.SlackBuild4
-rw-r--r--development/google-go-lang/google-go-lang.info6
-rw-r--r--development/google-go-lang/runtime-test-capture.patch29
3 files changed, 35 insertions, 4 deletions
diff --git a/development/google-go-lang/google-go-lang.SlackBuild b/development/google-go-lang/google-go-lang.SlackBuild
index 6a43348063..cc1200741f 100644
--- a/development/google-go-lang/google-go-lang.SlackBuild
+++ b/development/google-go-lang/google-go-lang.SlackBuild
@@ -27,7 +27,7 @@
# SOFTWARE.
PRGNAM=google-go-lang
-VERSION=${VERSION:-1.2}
+VERSION=${VERSION:-1.2.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -75,6 +75,8 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+cat $CWD/runtime-test-capture.patch | patch -p1 || exit 1
+
export GOSRC="$(pwd)"
export GOROOT="$(pwd)"
export GOROOT_FINAL="/usr/lib${LIBDIRSUFFIX}/go"
diff --git a/development/google-go-lang/google-go-lang.info b/development/google-go-lang/google-go-lang.info
index 63b30844cd..e620a94365 100644
--- a/development/google-go-lang/google-go-lang.info
+++ b/development/google-go-lang/google-go-lang.info
@@ -1,8 +1,8 @@
PRGNAM="google-go-lang"
-VERSION="1.2"
+VERSION="1.2.2"
HOMEPAGE="http://golang.org"
-DOWNLOAD="https://go.googlecode.com/files/go1.2.src.tar.gz"
-MD5SUM="c2ace56f6b6413a5c6318b9527a8b763"
+DOWNLOAD="https://storage.googleapis.com/golang/go1.2.2.src.tar.gz"
+MD5SUM="7917152cb24efb9a13c7881ed280af9a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/development/google-go-lang/runtime-test-capture.patch b/development/google-go-lang/runtime-test-capture.patch
new file mode 100644
index 0000000000..a24284362b
--- /dev/null
+++ b/development/google-go-lang/runtime-test-capture.patch
@@ -0,0 +1,29 @@
+diff -r 9c4fdd8369ca src/pkg/runtime/crash_cgo_test.go
+--- a/src/pkg/runtime/crash_cgo_test.go Mon May 05 10:43:37 2014 -0700
++++ b/src/pkg/runtime/crash_cgo_test.go Tue May 06 17:21:45 2014 -0400
+@@ -8,6 +8,7 @@
+
+ import (
+ "runtime"
++ "strings"
+ "testing"
+ )
+
+@@ -21,7 +22,7 @@
+ }
+ got := executeTest(t, cgoSignalDeadlockSource, nil)
+ want := "OK\n"
+- if got != want {
++ if !strings.Contains(got, want) {
+ t.Fatalf("expected %q, but got %q", want, got)
+ }
+ }
+@@ -29,7 +30,7 @@
+ func TestCgoTraceback(t *testing.T) {
+ got := executeTest(t, cgoTracebackSource, nil)
+ want := "OK\n"
+- if got != want {
++ if !strings.Contains(got, want) {
+ t.Fatalf("expected %q, but got %q", want, got)
+ }
+ }